package org.rcisoft.core.util;

import jakarta.servlet.http.HttpServletRequest;
import org.apache.commons.lang3.StringUtils;
import org.rcisoft.business.memInfo.dao.MemInfoRepository;
import org.rcisoft.business.memInfo.entity.MemInfo;
import org.rcisoft.core.exception.CyServiceException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;

import java.util.Random;

@Configuration
public class UserUtil {
    @Autowired
    MemInfoRepository memInfoRepository;
    /**
     * 校验当前登录人是否已实名
     */
    public void checkUserAuth(String message){
        //添加实名判断
        String userId = CyUserUtil.getAuthenBusinessId();
        MemInfo memInfo = memInfoRepository.getInfoByUserId(userId);
        if (!"1".equals(memInfo.getMemRealAuthen()))
            throw new CyServiceException(message);
    }
}
